Register a crypto address book entry

Whitelists a crypto account for the authenticated merchant — a self-hosted wallet or an account at a VASP. The entry is created with status PENDING and must pass screening before it can be used for any of the usages it is designated for. The link at which the account holder proves the account is theirs is issued by POST /v3/address-book/crypto/{id}/verification.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Registers a self-hosted wallet — a wallet the merchant custodies itself. Only a company merchant may register one.

string
required
length between 0 and 128
designations
array of strings, unique
required
length ≥ 1

Must not be empty. TOP_UP is not accepted on a UTXO network, nor on a VASP account for now. WITHDRAWAL is not accepted for a Solana program-derived address, such as a multisig vault.

string
enum
required
Allowed:
string
length between 0 and 255
string
enum
required
notifyOptions
object

Notification channels for the change on every lifecycle transition of this entry.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*